- Main Page
- Modules
- Namespaces
- Classes
- Files

# audiotestsrc.h File Reference

`#include <glibmm.h>`
`#include <gstreamermm/basesrc.h>`

Go to the source code of this file.

## Namespaces
namespace | Gst
namespace | Glib
## Classes
class | Gst::AudioTestSrc
| Gst::AudioTestSrc - audiotestsrc plugin. More...
## Enumerations
enum | Gst::AudioTestSrcWave { Gst::AUDIO_TEST_SRC_WAVE_SINE, Gst::AUDIO_TEST_SRC_WAVE_SQUARE, Gst::AUDIO_TEST_SRC_WAVE_SAW, Gst::AUDIO_TEST_SRC_WAVE_TRIANGLE, Gst::AUDIO_TEST_SRC_WAVE_SILENCE, Gst::AUDIO_TEST_SRC_WAVE_WHITE_NOISE, Gst::AUDIO_TEST_SRC_WAVE_PINK_NOISE, Gst::AUDIO_TEST_SRC_WAVE_SINE_TAB, Gst::AUDIO_TEST_SRC_WAVE_TICKS }